Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion.util
Class ActionEnum

    java.lang.Object
      com.verisign.epp.codec.suggestion.util.Enum
          com.verisign.epp.codec.suggestion.util.ActionEnum

All Implemented Interfaces:
  java.io.Serializable

    public class ActionEnum

extends Enum

An enumeration of the types of actions. This is used only to generate random actions for the unit test. The server can add or remove actions so this list is not authoritative.

Author:
  jcolosi
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ACTION_BASIC`
`static java.lang.String` | `ACTION_CREATIVE`
`static java.lang.String` | `ACTION_GEO`
`static java.lang.String` | `ACTION_RANK_BY_INPUT_ASSOCIATION`
`static java.lang.String` | `ACTION_RELATED`
`static java.lang.String` | `ACTION_SIMILAR`
`static java.lang.String` | `ACTION_SPELLING` Deprecated. this action does not exist
`static java.lang.String` | `ACTION_TOPICAL`

Fields inherited from class com.verisign.epp.codec.suggestion.util.Enum
`key, NONE, NONE_STRING`

Constructor Summary
`ActionEnum()` Constructor.
`ActionEnum(java.lang.String aValue)` Constructor.

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String[]` | `getData()` Get the possible enum data.
`static java.lang.String` | `getRandomString()` Return a random enum value.

Methods inherited from class com.verisign.epp.codec.suggestion.util.Enum
`equals, get, isSet, set, set, toLogString, toString, unset`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTION_BASIC

    public static final java.lang.String ACTION_BASIC

See Also:
  Constant Field Values

### ACTION_RELATED

    public static final java.lang.String ACTION_RELATED

See Also:
  Constant Field Values

### ACTION_SIMILAR

    public static final java.lang.String ACTION_SIMILAR

See Also:
  Constant Field Values

### ACTION_SPELLING

    @Deprecated
    public static final java.lang.String ACTION_SPELLING

  Deprecated. this action does not exist
  See Also:
    Constant Field Values

### ACTION_TOPICAL

    public static final java.lang.String ACTION_TOPICAL

See Also:
  Constant Field Values

### ACTION_RANK_BY_INPUT_ASSOCIATION

    public static final java.lang.String ACTION_RANK_BY_INPUT_ASSOCIATION

See Also:
  Constant Field Values

### ACTION_GEO

    public static final java.lang.String ACTION_GEO

See Also:
  Constant Field Values

### ACTION_CREATIVE

    public static final java.lang.String ACTION_CREATIVE

See Also:
  Constant Field Values

Constructor Detail

### ActionEnum

    public ActionEnum()

  Constructor.

### ActionEnum

    public ActionEnum(java.lang.String aValue)
               throws InvalidValueException

  Constructor.

  Parameters:
    `aValue` - a value
  Throws:
    `InvalidValueException`

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Specified by:
    `clone` in class `Enum`
  Throws:
    `java.lang.CloneNotSupportedException`

### getData

    public java.lang.String[] getData()

  Description copied from class: `Enum`
  Get the possible enum data.

  Specified by:
    `getData` in class `Enum`
  Returns:
    enum data

### getRandomString

    public static java.lang.String getRandomString()

  Return a random enum value.

  Returns:
    a random enum value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.